unit MainU;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.Controls, Vcl.StdCtrls, WEBLib.StdCtrls;

type
  TMainForm = class(TWebForm)
    WebButton1: TWebButton;
    [async] procedure WebButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

  uses PopupU;
{$R *.dfm}

procedure TMainForm.WebButton1Click(Sender: TObject);
// procedure AfterCreate(aView : TObject);
// begin
//   PopupForm.Height := 800;
//   PopupForm.width := 1200;
// end;
begin
////version 1
//  PopupForm := TPopupForm.CreateNew(@AfterCreate);
//  PopupForm.Popup := True;
//  PopupForm.PopupOpacity := 0.2;
//  PopupForm.PopupClose := pcNever;
//  PopupForm.Border := fbDialogSizeable;
//  PopupForm.PopupClose := pcNever;
//  //Form1.showmodal(@AfterShowModal);
//version 2
  PopupForm := TPopupForm.Create(Self);
  PopupForm.Caption := 'Child form';
  PopupForm.Popup := true;

  PopupForm.Border := fbDialog;

  // used to manage Back button handling to close subform
  window.location.hash := 'subform';

  // load file HTML template + controls
  await(TPopupForm, PopupForm.Load());

  // init control after loading
  //newform.frm2Edit.Text := WebEdit1.Text;

  // programmatically change the size of the popup form here
  PopupForm.Width := 800;
  PopupForm.Height := 800;

  try
    // excute form and wait for close
    await(TModalResult, PopupForm.Execute);
    //ShowMessage('Form 2 closed with new value:"'+newform.frm2Edit.Text+'"');
    //WebEdit1.Text := newform.frm2Edit.Text;
  finally
    PopupForm.Free;
  end;
end;

end.
